<?php
// Create
if (isset($_POST['create'])) {
    // Logic to create a new record
    // ...
}

// Read
if (isset($_GET['read'])) {
    // Logic to read a specific record
    // ...
}

// Update
if (isset($_POST['update'])) {
    // Logic to update an existing record
    // ...
}

// Delete
if (isset($_GET['delete'])) {
    // Logic to delete a specific record
    // ...
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>CRUD Application</title>
</head>
<body>
    <h1>CRUD Application</h1>
    
    <!-- Create -->
    <h2>Create a new record</h2>
    <form method="post" action="">
        <!-- Input fields for record data -->
        <!-- ... -->
        <button type="submit" name="create">Create</button>
    </form>
    
    <!-- Read -->
    <h2>Read a specific record</h2>
    <form method="get" action="">
        <!-- Input field for record ID -->
        <!-- ... -->
        <button type="submit" name="read">Read</button>
    </form>
    
    <!-- Update -->
    <h2>Update an existing record</h2>
    <form method="post" action="">
        <!-- Input fields for record data -->
        <!-- ... -->
        <button type="submit" name="update">Update</button>
    </form>
    
    <!-- Delete -->
    <h2>Delete a specific record</h2>
    <form method="get" action="">
        <!-- Input field for record ID -->
        <!-- ... -->
        <button type="submit" name="delete">Delete</button>
    </form>
</body>
</html>
